<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目点播信息修改</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
    <script src="{{ mix('/js/manifest.js') }}" rel="script"></script>
    <link href="{{ asset('/css/vendor/picomplete/picomplete.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<form class="w-full lg:w-1/2 lg:ml-6 border-2" action="" method="post" enctype="multipart/form-data">
    @if($program)
        <label class="block my-2">
            结束图像
            @if(count($program->video_pivots) > 0 && $program->video_pivots->last()->stop_image)
                <img src="{{$program->video_pivots->last()->stop_image}}" alt="结束图片">
            @else
                <div>
                    <a href="{{route("program.construct.video.list", ["program"=>$program->id])}}"
                       class="block px-6 py-2 inline-block rounded-full bg-cyan-600 text-white">
                        去建设
                    </a>
                </div>
            @endif
        </label>
    @endif
    <label class="block my-2" id="broadcast_select">
        复制的名称
        <input class="form-input border-0 border-b-2 w-full" autocomplete="off" type="text" name="name" value="{{ old('name') }}">
        <input class="form-input border-0 border-b-2 w-full" id="broadcast_id" type="hidden" name="id" value="{{ old('id') }}">
    </label>
    @include("common.form_error")
    <div class="block my-2 text-center">
        <input class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white" type="submit">
    </div>
</form>
@include("common.footer")
</body>
<script src="{{ mix('/js/component/broadcast_select.js') }}" rel="script"></script>
</html>
